import 'package:design/design.dart';
import 'package:guru_popup/localizations/l10n/generated/app_localizations.dart';
import 'package:guru_popup/localizations/l10n/generated/app_localizations_en.dart';

class PopupStrings {
  static AppLocalizations? _instance;

  static AppLocalizations get() {
    AppLocalizations? result = _instance;
    if (result == null) {
      result = AppLocalizations.of(Get.context!) ?? AppLocalizationsEn();
      _instance = result;
    }
    return result;
  }
}
